path: /build/build/google-authenticator-sys-auth-1.10.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-auth/google-authenticator -pv -t && \
    emerge -j ${JOBS} --nodeps sys-auth/google-authenticator
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/google-authenticator && luet-portage
    --dir /pkgdir/google-authenticator sys-auth/google-authenticator && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:984050f2bc89fc79c9f0ae7a6ae207ebef8c6a65406f341ab90c8b4e2ec76844
  package:
    name: google-authenticator
    version: "1.10"
    category: sys-auth
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: PAM Module for two step verification via mobile platform
    uri:
    - https://github.com/google/google-authenticator-libpam
    license: Apache-2.0
    buildtimestamp: 2024-05-18 18:10:39.248591451 +0000 UTC m=+82.812564227
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: sys-libs/pam
      RDEPEND: sys-libs/pam
      emerge.packages: sys-auth/google-authenticator
      kit: core-kit
      original.package.name: sys-auth/google-authenticator
      original.package.slot: "0"
      original.package.version: "1.10"
    treedir: /build/packages
  package_dir: /pkgdir/google-authenticator
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f709f46051ad9ba087b75ab6583a8ae129f52ba3542bc3a182fe538cf2602b0b
compressiontype: zstd
files:
- lib64/security/pam_google_authenticator.so
- usr/bin/google-authenticator
- usr/share/doc/google-authenticator-1.10/FILEFORMAT.bz2
- usr/share/doc/google-authenticator-1.10/README.md.bz2
- usr/share/doc/google-authenticator-1.10/html/totp.html
- usr/share/man/man1/google-authenticator.1.bz2
- usr/share/man/man8/pam_google_authenticator.8.bz2
- var/db/pkg/sys-auth/google-authenticator-1.10/BDEPEND
- var/db/pkg/sys-auth/google-authenticator-1.10/BUILD_TIME
- var/db/pkg/sys-auth/google-authenticator-1.10/CATEGORY
- var/db/pkg/sys-auth/google-authenticator-1.10/CBUILD
- var/db/pkg/sys-auth/google-authenticator-1.10/CFLAGS
- var/db/pkg/sys-auth/google-authenticator-1.10/CHOST
- var/db/pkg/sys-auth/google-authenticator-1.10/CONTENTS
- var/db/pkg/sys-auth/google-authenticator-1.10/COUNTER
- var/db/pkg/sys-auth/google-authenticator-1.10/CXXFLAGS
- var/db/pkg/sys-auth/google-authenticator-1.10/DEFINED_PHASES
- var/db/pkg/sys-auth/google-authenticator-1.10/DEPEND
- var/db/pkg/sys-auth/google-authenticator-1.10/DESCRIPTION
- var/db/pkg/sys-auth/google-authenticator-1.10/EAPI
- var/db/pkg/sys-auth/google-authenticator-1.10/FEATURES
- var/db/pkg/sys-auth/google-authenticator-1.10/HOMEPAGE
- var/db/pkg/sys-auth/google-authenticator-1.10/INHERITED
- var/db/pkg/sys-auth/google-authenticator-1.10/IUSE
- var/db/pkg/sys-auth/google-authenticator-1.10/IUSE_EFFECTIVE
- var/db/pkg/sys-auth/google-authenticator-1.10/KEYWORDS
- var/db/pkg/sys-auth/google-authenticator-1.10/LDFLAGS
- var/db/pkg/sys-auth/google-authenticator-1.10/LICENSE
- var/db/pkg/sys-auth/google-authenticator-1.10/NEEDED
- var/db/pkg/sys-auth/google-authenticator-1.10/PF
- var/db/pkg/sys-auth/google-authenticator-1.10/PROVIDES
- var/db/pkg/sys-auth/google-authenticator-1.10/RDEPEND
- var/db/pkg/sys-auth/google-authenticator-1.10/REQUIRES
- var/db/pkg/sys-auth/google-authenticator-1.10/SIZE
- var/db/pkg/sys-auth/google-authenticator-1.10/SLOT
- var/db/pkg/sys-auth/google-authenticator-1.10/USE
- var/db/pkg/sys-auth/google-authenticator-1.10/environment.bz2
- var/db/pkg/sys-auth/google-authenticator-1.10/google-authenticator-1.10.ebuild
- var/db/pkg/sys-auth/google-authenticator-1.10/repository
package_cacheimage: ""
runtime:
  name: google-authenticator
  version: "1.10"
  category: sys-auth
  requires:
  - name: pam
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: PAM Module for two step verification via mobile platform
  uri:
  - https://github.com/google/google-authenticator-libpam
  license: Apache-2.0
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: sys-libs/pam
    RDEPEND: sys-libs/pam
    emerge.packages: sys-auth/google-authenticator
    kit: core-kit
    original.package.name: sys-auth/google-authenticator
    original.package.slot: "0"
    original.package.version: "1.10"
